### Method

# Gdk FrameTimings get_predicted_presentation_time

#### Declaration [src]

    gint64
    gdk_frame_timings_get_predicted_presentation_time (
      GdkFrameTimings* timings
    )

#### Description [src]

Gets the predicted time at which this frame will be displayed.

Although no predicted time may be available, if one is available, it will be available while the frame is being generated, in contrast to `gdk_frame_timings_get_presentation_time()`, which is only available after the frame has been presented.

In general, if you are simply animating, you should use `gdk_frame_clock_get_frame_time()` rather than this function, but this function is useful for applications that want exact control over latency. For example, a movie player may want this information for Audio/Video synchronization.

#### Return value

Type: `gint64`

The predicted time at which the frame will be presented, in the timescale of g_get_monotonic_time(), or 0 if no predicted presentation time is available.